Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04841 Crash/Freeze Critical (emulator) Always May 17, 2012, 21:05 Jul 5, 2013, 08:01
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Robbbert Resolution Fixed OS Windows XP
Status [?] Resolved Driver mpu4.cpp
Version 0.145u8 Fixed in Version 0.149u1 Build Normal
Summary 04841: m4exotic, m4jflash, m4madmnc, m4mmm, m4przrfm, m4rhfev, m4spinbt, m4xch, m4xs, m4xtrm: [debug] Crash after OK
Description
Program received signal SIGSEGV, Segmentation fault.
0x02ec16d5 in direct_read_data::read_decrypted_byte (this=0x30af7ff4, byteaddress=60208, directxor=0) at src/emu/memory.h:998
998 return m_decrypted[(byteaddress ^ directxor) & m_bytemas
k];
(gdb) bt
#0 0x02ec16d5 in direct_read_data::read_decrypted_byte (this=0x30af7ff4, byteaddress=60208, directxor=0)
    at src/emu/memory.h:998
#1 0x01db5358 in cpu_execute_m6809 (device=0x26a00c)
    at src/emu/cpu/m6809/m6809.c:504
#2 0x027d9e87 in legacy_cpu_device::execute_run (this=0x26a00c)
    at src/emu/devcpu.c:260
#3 0x030d6e5c in device_execute_interface::run (this=0x26a2c4)
    at src/emu/diexec.h:228
#4 0x024693a3 in device_scheduler::timeslice (this=0x22f2f8)
    at src/emu/schedule.c:489
#5 0x02524010 in running_machine::run (this=0x22c410, firstrun=true)
    at src/emu/machine.c:389
#6 0x02456d7b in mame_execute (options=..., osd=...)
    at src/emu/mame.c:189
#7 0x027bb266 in cli_frontend::execute (this=0x22fe80, argc=4, argv=0x3f4c18)
    at src/emu/clifront.c:252
#8 0x01d297f0 in utf8_main (argc=4, argv=0x3f4c18)
    at src/osd/windows/winmain.c:482
#9 0x02a50cd6 in wmain (argc=4, argv=0x3f4650)
    at src/osd/windows/main.c:82
#10 0x00401422 in __tmainCRTStartup ()
    at ../mingw-w64-crt/crt/crtexe.c:282
#11 0x7c817077 in RegisterWaitForInputIdle ()
    from C:\WINDOWS\system32\kernel32.dll
#12 0x00000000 in ?? ()
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version 0.143u2 (added)
Affected Sets / Systems m4exotic, m4jflash, m4madmnc, m4mmm, m4przrfm, m4rhfev, m4spinbt, m4xch, m4xs, m4xtrm
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.08606
Fujix
Administrator
May 18, 2012, 02:03
On 64-bit Windows 7, they work without crashing.
User avatar
No.08619
Firewave
Senior Tester
May 20, 2012, 17:17
I can confirm the crash with a VS2010 x64 debug build on Windows 7 x64.
User avatar
No.09634
Robbbert
Developer
Jul 2, 2013, 09:09
Fixed the crash in r24041. It was attempting to bankswitch to a bank beyond end of "maincpu" memory.

The games are mostly doing something but not being familiar with these machines, there could be regressions.